## ros-kinetic-ur-bringup 1.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(ur_bringup)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test.xml)
endif()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-ur-bringup (1.2.7-1xenial) xenial; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 22 Nov 2019 23:00:00 -0000

ros-kinetic-ur-bringup (1.2.6-1xenial) xenial; urgency=high

  * Migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Contributors: Felix Mauch, Qiang Qiu

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 18 Nov 2019 23:00:00 -0000

ros-kinetic-ur-bringup (1.2.5-1xenial) xenial; urgency=high

  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * update maintainer and author information.
  * Add roslaunch tests (#362 <https://github.com/ros-industrial/universal_robot/issues/362>)
  * Using the 'doc' attribute on 'arg' elements.
  * Contributors: gavanderhoorn, Harsh Deshpande, Nadia Hammoudeh García

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-ur-bringup (1.2.1-1xenial) xenial; urgency=high

  * Merge pull request #322 <https://github.com//ros-industrial/universal_robot/issues/322> from gavanderhoorn/use_robot_state_publisher
    driver: don't use deprecated robot_state binary.
  * driver: don't use deprecated robot_state binary.
  * Contributors: Felix Messmer, gavanderhoorn

 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 05 Jan 2018 23:00:00 -0000

ros-kinetic-ur-bringup (1.2.0-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 03 Aug 2017 22:00:00 -0000

ros-kinetic-ur-bringup (1.1.9-1xenial) xenial; urgency=high

  * No changes.

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 01 Jan 2017 23:00:00 -0000

ros-kinetic-ur-bringup (1.1.8-1xenial) xenial; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 29 Dec 2016 23:00:00 -0000

ros-kinetic-ur-bringup (1.1.7-1xenial) xenial; urgency=high

  * Add prefix parameter in common launch
  * Contributors: Yannick Jonetzko

 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 28 Dec 2016 23:00:00 -0000

ros-kinetic-ur-bringup (1.1.6-1xenial) xenial; urgency=high

  * provide launch files for ur3
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-ur-bringup (1.0.2-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-kinetic-ur-bringup (1.0.1-1xenial) xenial; urgency=high

  * adapt launch files in order to be able to use normal/limited xacro
  * Contributors: ipa-fxm
  * Added definitions for adding tergets in install folder. Issue #10 <https://github.com/ros-industrial/universal_robot/issues/10>.
  * Added definitions for adding tergets in install folder. Issue #10 <https://github.com/ros-industrial/universal_robot/issues/10>.
  * Updated to catkin.  ur_driver's files were added to nested Python directory for including in other packages.
  * Updated urdf files use collision/visual models.
  * Added launch directory to bringup package.  Left the old launch files to be backwards compatable for now.  Updated driver with SwRI internal changes.  Changed driver to accept ip address to match ROS-Industrial standard.  IP addresses for industrial robots are typically fixed.  Hostnames are not typically used (this is what the driver expected)
  * Removed extra stl files and fixed indentions
  * Renamed packages and new groovy version
  * Added ur10 and renamed packages
  * Contributors: IPR-SR2, Kelsey, Shaun Edwards, ipa-nhg, robot

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ur-bringup
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: http://ros.org/wiki/ur_bringup
Standards-Version: 3.9.2

Package: ros-kinetic-ur-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-robot-state-publisher, ros-kinetic-tf2-ros, ros-kinetic-ur-description, ros-kinetic-ur-driver
Description: The ur_bringup package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ur-bringup//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
